package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.dao.ImNetworkRoomMemberDao;
import com.yonge.cooleshow.biz.dal.dto.BasicUserInfo;
import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoomMember;
import com.yonge.cooleshow.biz.dal.enums.UserRoleEnum;

import java.util.Date;
import java.util.List;

/**
 * 网络教室成员(ImNetworkRoomMember)表服务接口
 *
 * @author zx
 * @since 2022-03-30 16:36:38
 */
public interface ImNetworkRoomMemberService extends IService<ImNetworkRoomMember> {

    ImNetworkRoomMemberDao getDao();

    ImNetworkRoomMember initRoomMember(String roomId, BasicUserInfo sysUser, UserRoleEnum userRole);

}

