package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.UserOrderDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "UserOrderDetailVo对象", description = "平台订单表查询视图对象")
public class UserOrderDetailVo extends UserOrderDetail {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("买家id ")
    private Long userId;

    @ApiModelProperty("订单id ")
    private Long orderId;

    @ApiModelProperty("头像 ")
    private String avatar;

    @ApiModelProperty("用户名 ")
    private String username;

    @ApiModelProperty("星级 ")
    private Double starGrade;

    @ApiModelProperty(value = "冗余字段，用于传递参数用")
    private Object bizParam;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Double getStarGrade() {
        return starGrade;
    }

    public void setStarGrade(Double starGrade) {
        this.starGrade = starGrade;
    }

    public Object getBizParam() {
        return bizParam;
    }

    public void setBizParam(Object bizParam) {
        this.bizParam = bizParam;
    }
}